Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.toolbar
Class FormButtonModel

    java.lang.Object
      com.tonbeller.wcf.toolbar.FormButtonModel

All Implemented Interfaces:
  ToolButtonModel

public class FormButtonModel
extends java.lang.Object
implements ToolButtonModel

toolbar button that optionally validates or reverts the content of forms. Afterwards it optionally forwards to another page.

Author:
  av

Constructor Summary
`FormButtonModel(Component comp)`

Method Summary
`boolean` | `isPressed(RequestContext context)`
`void` | `setAction(java.lang.String action)` Sets the action.
`void` | `setForward(java.lang.String forward)` Sets the forward.
`void` | `setPressed(RequestContext context, boolean pressed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormButtonModel

    public FormButtonModel(Component comp)

Method Detail

### isPressed

    public boolean isPressed(RequestContext context)

  Specified by:
    `isPressed` in interface `ToolButtonModel`
  See Also:
    `ToolButtonModel.isPressed(RequestContext)`

### setPressed

    public void setPressed(RequestContext context,
                           boolean pressed)

  Specified by:
    `setPressed` in interface `ToolButtonModel`
  See Also:
    `ToolButtonModel.setPressed(RequestContext, boolean)`

### setAction

    public void setAction(java.lang.String action)

  Sets the action.

  Parameters:
    `action` - The action to set

### setForward

    public void setForward(java.lang.String forward)

  Sets the forward.

  Parameters:
    `forward` - The forward to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD